Debian Bug report logs - #549681
use xz to compress vmlinuz-boxed initrd

version graph

Package: mkvmlinuz; Maintainer for mkvmlinuz is Debian Kernel Team <debian-kernel@lists.debian.org>; Source for mkvmlinuz is src:mkvmlinuz.

Reported by: Simon Richter <sjr@debian.org>

Date: Mon, 5 Oct 2009 14:54:01 UTC

Owned by: Milan Kupcevic <milan@physics.harvard.edu>

Severity: serious

Tags: d-i, sid, wheezy

Fixed in version mkvmlinuz/36

Done: Milan Kupcevic <milan@physics.harvard.edu>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, sjr@debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#549681; Package initramfs-tools. (Mon, 05 Oct 2009 14:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Richter <sjr@debian.org>:
New Bug report received and forwarded. Copy sent to sjr@debian.org, Debian kernel team <debian-kernel@lists.debian.org>. (Mon, 05 Oct 2009 14:54:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simon Richter <sjr@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: needs MODULES=dep on some PowerPC systems
Date: Mon, 05 Oct 2009 16:41:40 +0200
Package: initramfs-tools
Version: 0.93.4
Severity: important

Hi,

some OpenFirmware implementations, such as the one in the PegasosII,
have a 12 MB size limit on kernel images, and no initrd loading
capability. The latter is worked around by merging the initrd into the
image with the "mkvmlinuz" tool, however the generated images are
unbootable if they exceed 12 MB.

It would be good if mkinitramfs would fail on systems that have the
string "platform        : CHRP" in /proc/cpuinfo if compressed kernel
and initramfs together are larger than 12 MB, to stop unpleasant
surprises when booting.

   Simon

-- Package-specific info:
-- /proc/cmdline
console=ttyS0,115200

-- /proc/filesystems
	ext3

-- lsmod
Module                  Size  Used by
sit                    15232  0 
tunnel4                 6908  1 sit
8021q                  26644  0 
garp                   12112  1 8021q
pppoe                  16296  2 
pppox                   6780  1 pppoe
ppp_generic            30564  6 pppoe,pppox
slhc                    9548  1 ppp_generic
bridge                 55852  0 
stp                     6088  2 garp,bridge
bnep                   17188  2 
sco                    14296  2 
l2cap                  25908  3 bnep
bluetooth              62032  5 bnep,sco,l2cap
tun                    17728  12 
binfmt_misc            12616  1 
deflate                 6404  0 
zlib_deflate           24144  1 deflate
ctr                     8132  0 
twofish                10472  0 
twofish_common         18000  1 twofish
camellia               23616  0 
serpent                25008  0 
blowfish               12464  0 
des_generic            22660  0 
xcbc                    8972  0 
rmd160                 12624  0 
sha1_generic            5844  0 
hmac                    7908  0 
crypto_null             6636  0 
af_key                 35208  2 
ipt_MASQUERADE          6224  7 
iptable_nat             9788  1 
nf_nat                 21882  2 ipt_MASQUERADE,iptable_nat
xt_length               5152  2 
xt_TCPMSS               7588  1 
xt_owner                6076  1 
xt_MARK                 5492  3 
iptable_mangle          7200  1 
xt_recent              13148  2 
xt_tcpudp               6448  2 
nf_conntrack_ipv4      17932  4 iptable_nat,nf_nat
nf_defrag_ipv4          5400  1 nf_conntrack_ipv4
xt_state                5532  1 
nf_conntrack           71980  5 ipt_MASQUERADE,iptable_nat,nf_nat,nf_conntrack_ipv4,xt_state
iptable_filter          6804  1 
ip_tables              16028  3 iptable_nat,iptable_mangle,iptable_filter
x_tables               20068  10 ipt_MASQUERADE,iptable_nat,xt_length,xt_TCPMSS,xt_owner,xt_MARK,xt_recent,xt_tcpudp,xt_state,ip_tables
snd_via82xx            30584  0 
snd_via82xx_modem      17208  0 
gameport               15128  1 snd_via82xx
snd_ac97_codec        108936  2 snd_via82xx,snd_via82xx_modem
snd_pcm_oss            45784  0 
snd_mixer_oss          21040  1 snd_pcm_oss
ac97_bus                5188  1 snd_ac97_codec
snd_mpu401_uart        11392  1 snd_via82xx
snd_pcm                80484  4 snd_via82xx,snd_via82xx_modem,snd_ac97_codec,snd_pcm_oss
snd_seq_midi           10576  0 
snd_rawmidi            27180  2 snd_mpu401_uart,snd_seq_midi
snd_seq_midi_event     10576  1 snd_seq_midi
snd_seq                59096  2 snd_seq_midi,snd_seq_midi_event
snd_timer              25828  2 snd_pcm,snd_seq
snd_seq_device         11044  3 snd_seq_midi,snd_rawmidi,snd_seq
via_ircc               35544  0 
irda                  121852  1 via_ircc
vt8231                 21420  0 
snd                    66876  11 snd_via82xx,snd_via82xx_modem,snd_ac97_codec,snd_pcm_oss,snd_mixer_oss,snd_mpu401_uart,snd_pcm,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
via_rhine              26152  0 
snd_page_alloc         13244  3 snd_via82xx,snd_via82xx_modem,snd_pcm
soundcore              10324  1 snd
crc_ccitt               5404  1 irda
i2c_viapro             12368  0 
joydev                 14676  0 
evdev                  14076  0 
hfcpci                 30528  0 
parport_pc             35176  0 
firewire_ohci          28232  0 
mISDN_core             91260  1 hfcpci
parport                40916  1 parport_pc
firewire_core          50252  1 firewire_ohci
crc_itu_t               5780  1 firewire_core
ext3                  138112  6 
jbd                    50856  1 ext3
mbcache                11432  1 ext3
sha256_generic         13404  0 
aes_generic            32288  4 
cbc                     7160  2 
dm_crypt               17392  2 
dm_mirror              18736  0 
dm_region_hash         15420  1 dm_mirror
dm_log                 13808  2 dm_mirror,dm_region_hash
dm_snapshot            29348  0 
dm_mod                 65304  29 dm_crypt,dm_mirror,dm_log,dm_snapshot
ide_cd_mod             32544  0 
cdrom                  41392  1 ide_cd_mod
i2c_powermac            8320  0 
ata_generic             8432  0 
libata                177008  1 ata_generic
ide_pci_generic         7428  0 
via82cxxx               9812  4 
usb_storage            58348  1 
sd_mod                 37912  1 
scsi_mod              157268  3 libata,usb_storage,sd_mod
crc_t10dif              5260  1 sd_mod
raid1                  26532  2 
md_mod                100080  3 raid1
uhci_hcd               30272  0 
usbhid                 43392  0 
hid                    48168  1 usbhid
ehci_hcd               44376  0 

-- /etc/kernel-img.conf
# Kernel Image management overrides
# See kernel-img.conf(5) for details
do_symlinks = No
do_initrd = Yes

-- /etc/initramfs-tools/initramfs.conf
MODULES=dep
BUSYBOX=y
KEYMAP=n
BOOT=local
DEVICE=eth0
NFSROOT=auto

-- /etc/crypttab
md0_crypt /dev/md0 none luks

-- /sys/block
dm-0
dm-1
dm-2
dm-3
dm-4
dm-5
dm-6
dm-7
dm-8
hda
hdc
hdd
md0
md1
ram0
ram1
ram10
ram11
ram12
ram13
ram14
ram15
ram2
ram3
ram4
ram5
ram6
ram7
ram8
ram9
sda


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: powerpc (ppc)

Kernel: Linux 2.6.30-1-powerpc
Locale: LANG=ja_JP.UTF-8, LC_CTYPE=ja_JP.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages initramfs-tools depends on:
ii  cpio                          2.10-1     GNU cpio -- a program to manage ar
ii  findutils                     4.4.2-1    utilities for finding files--find,
ii  klibc-utils                   1.5.15-1   small utilities built with klibc f
ii  module-init-tools             3.10-3     tools for managing Linux kernel mo
ii  udev                          146-3      /dev/ and hotplug management daemo

Versions of packages initramfs-tools recommends:
ii  busybox                       1:1.14.2-2 Tiny utilities for small and embed

initramfs-tools suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#549681; Package initramfs-tools. (Wed, 24 Mar 2010 01:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Wed, 24 Mar 2010 01:33:03 GMT) Full text and rfc822 format available.

Message #10 received at 549681@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Simon Richter <sjr@debian.org>, 549681@bugs.debian.org
Cc: debian-boot@lists.debian.org
Subject: Re: Bug#549681: needs MODULES=dep on some PowerPC systems
Date: Wed, 24 Mar 2010 02:30:37 +0100
reassign rootskel
stop

[ adding debian-boot to cc ]

On Mon, 05 Oct 2009, Simon Richter wrote:

> Package: initramfs-tools
> Version: 0.93.4
> Severity: important
> 
> Hi,
> 
> some OpenFirmware implementations, such as the one in the PegasosII,
> have a 12 MB size limit on kernel images, and no initrd loading
> capability. The latter is worked around by merging the initrd into the
> image with the "mkvmlinuz" tool, however the generated images are
> unbootable if they exceed 12 MB.
> 
> It would be good if mkinitramfs would fail on systems that have the
> string "platform        : CHRP" in /proc/cpuinfo if compressed kernel
> and initramfs together are larger than 12 MB, to stop unpleasant
> surprises when booting.
> 

partman has some checks for partitions,
aboves specialised wish sound nice for debian installer
although there are not many powerpc guys.

reassigning to rootskel who does install initramfs-tools.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#549681; Package initramfs-tools. (Wed, 24 Mar 2010 02:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Wed, 24 Mar 2010 02:09:07 GMT) Full text and rfc822 format available.

Message #15 received at 549681@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 549681@bugs.debian.org
Cc: maximilian attems <max@stro.at>, Simon Richter <sjr@debian.org>, debian-powerpc@lists.debian.org
Subject: Re: Bug#549681: needs MODULES=dep on some PowerPC systems
Date: Wed, 24 Mar 2010 03:06:01 +0100
reassign 549681 base-installer
severity 549681 normal
tag 549681 help
user debian-boot@lists.debian.org
usertag 549681 powerpc
thanks

On Wednesday 24 March 2010, maximilian attems wrote:
> > some OpenFirmware implementations, such as the one in the PegasosII,
> > have a 12 MB size limit on kernel images, and no initrd loading
> > capability. The latter is worked around by merging the initrd into the
> > image with the "mkvmlinuz" tool, however the generated images are
> > unbootable if they exceed 12 MB.
> >
> > It would be good if mkinitramfs would fail on systems that have the
> > string "platform        : CHRP" in /proc/cpuinfo if compressed kernel
> > and initramfs together are larger than 12 MB, to stop unpleasant
> > surprises when booting.
>
> partman has some checks for partitions,
> aboves specialised wish sound nice for debian installer
> although there are not many powerpc guys.

Deciding on the MODULES= setting is done by base-installer.
If somebody from the Debian PowerPC community can provide a tested patch 
for this we'll be happy to apply it. If help is needed developing the 
patch, feel free to ask on the debian-boot list.

Cheers,
FJP




Bug reassigned from package 'initramfs-tools' to 'base-installer'. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Wed, 24 Mar 2010 02:09:09 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions initramfs-tools/0.93.4. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Wed, 24 Mar 2010 02:09:09 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'important' Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Wed, 24 Mar 2010 02:09:10 GMT) Full text and rfc822 format available.

Added tag(s) help. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Wed, 24 Mar 2010 02:09:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#549681; Package base-installer. (Wed, 24 Mar 2010 09:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Richter <sjr@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 24 Mar 2010 09:24:03 GMT) Full text and rfc822 format available.

Message #28 received at 549681@bugs.debian.org (full text, mbox):

From: Simon Richter <sjr@debian.org>
To: maximilian attems <max@stro.at>
Cc: 549681@bugs.debian.org, debian-boot@lists.debian.org
Subject: Re: Bug#549681: needs MODULES=dep on some PowerPC systems
Date: Wed, 24 Mar 2010 10:19:20 +0100
Hi,

On Wed, Mar 24, 2010 at 02:30:37AM +0100, maximilian attems wrote:

> > It would be good if mkinitramfs would fail on systems that have the
> > string "platform        : CHRP" in /proc/cpuinfo if compressed kernel
> > and initramfs together are larger than 12 MB, to stop unpleasant
> > surprises when booting.

> partman has some checks for partitions,

Not sure where partman comes into the picture here.

> aboves specialised wish sound nice for debian installer
> although there are not many powerpc guys.

> reassigning to rootskel who does install initramfs-tools.

I think there are two changes needed: building the kernel image needs to
fail (and the old kernel left in place) if the new image would be
unbootable, and d-i needs to remain working afterwards.

It's not d-i's problem alone -- when I stumbled over this, it happened
on a system that had been running for several years (that is, upgrading
my system made it unbootable).

   Simon




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#549681; Package base-installer. (Wed, 24 Mar 2010 13:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 24 Mar 2010 13:33:03 GMT) Full text and rfc822 format available.

Message #33 received at 549681@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Simon Richter <sjr@debian.org>
Cc: 549681@bugs.debian.org, debian-boot@lists.debian.org
Subject: Re: Bug#549681: needs MODULES=dep on some PowerPC systems
Date: Wed, 24 Mar 2010 14:23:39 +0100
On Wed, Mar 24, 2010 at 10:19:20AM +0100, Simon Richter wrote:
> Hi,
> 
> On Wed, Mar 24, 2010 at 02:30:37AM +0100, maximilian attems wrote:
> 
> > > It would be good if mkinitramfs would fail on systems that have the
> > > string "platform        : CHRP" in /proc/cpuinfo if compressed kernel
> > > and initramfs together are larger than 12 MB, to stop unpleasant
> > > surprises when booting.
> 
> > partman has some checks for partitions,
> 
> Not sure where partman comes into the picture here.
> 
> > aboves specialised wish sound nice for debian installer
> > although there are not many powerpc guys.
> 
> > reassigning to rootskel who does install initramfs-tools.
> 
> I think there are two changes needed: building the kernel image needs to
> fail (and the old kernel left in place) if the new image would be
> unbootable, and d-i needs to remain working afterwards.
> 
> It's not d-i's problem alone -- when I stumbled over this, it happened
> on a system that had been running for several years (that is, upgrading
> my system made it unbootable).

mkvimlinuz or the used tool may provide the relevant check for running
box.

anyway an arch with such limititation seems broken in my eyes and
need to have it's bootloader fixed. not the point of update-initramfs
to guard against such corner cases.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#549681; Package base-installer. (Wed, 24 Mar 2010 17:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 24 Mar 2010 17:27:03 GMT) Full text and rfc822 format available.

Message #38 received at 549681@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Simon Richter <sjr@debian.org>
Cc: 549681@bugs.debian.org, debian-boot@lists.debian.org
Subject: Re: Bug#549681: needs MODULES=dep on some PowerPC systems
Date: Wed, 24 Mar 2010 18:17:37 +0100
On Wed, Mar 24, 2010 at 06:22:17PM +0100, Simon Richter wrote:
> Hi,
> 
> On Wed, Mar 24, 2010 at 02:23:39PM +0100, maximilian attems wrote:
> 
> > mkvimlinuz or the used tool may provide the relevant check for running
> > box.
> 
> Okay, so the bug should probably be cloned there.

please do so and you may want to provide a patch.

afaik nobody is working on it.






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#549681; Package base-installer. (Wed, 24 Mar 2010 17:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Richter <sjr@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 24 Mar 2010 17:54:03 GMT) Full text and rfc822 format available.

Message #43 received at 549681@bugs.debian.org (full text, mbox):

From: Simon Richter <sjr@debian.org>
To: maximilian attems <max@stro.at>
Cc: 549681@bugs.debian.org, debian-boot@lists.debian.org
Subject: Re: Bug#549681: needs MODULES=dep on some PowerPC systems
Date: Wed, 24 Mar 2010 18:22:17 +0100
Hi,

On Wed, Mar 24, 2010 at 02:23:39PM +0100, maximilian attems wrote:

> mkvimlinuz or the used tool may provide the relevant check for running
> box.

Okay, so the bug should probably be cloned there.

> anyway an arch with such limititation seems broken in my eyes and
> need to have it's bootloader fixed. not the point of update-initramfs
> to guard against such corner cases.

There is no bootloader to be fixed. The firmware directly supports
loading ELF files from various media and file systems, the precise list
being dependent on the actual implementation.

   Simon




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#549681; Package base-installer. (Fri, 29 Jun 2012 02:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Milan Kupcevic <milan@physics.harvard.edu>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 29 Jun 2012 02:03:02 GMT) Full text and rfc822 format available.

Message #48 received at 549681@bugs.debian.org (full text, mbox):

From: Milan Kupcevic <milan@physics.harvard.edu>
To: 549681@bugs.debian.org
Subject: bug#549681: mkvmlinuz: use xz to compress vmlinuz-boxed initrd
Date: Thu, 28 Jun 2012 21:58:47 -0400
reassign 549681 mkvmlinuz
retitle 549681 use xz to compress vmlinuz-boxed initrd
tags 549681 - help + pending d-i wheezy sid
severity 549681 serious
owner 549681 !
thanks




Bug reassigned from package 'base-installer' to 'mkvmlinuz'. Request was from Milan Kupcevic <milan@physics.harvard.edu> to control@bugs.debian.org. (Fri, 29 Jun 2012 02:03:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'use xz to compress vmlinuz-boxed initrd' from 'needs MODULES=dep on some PowerPC systems' Request was from Milan Kupcevic <milan@physics.harvard.edu> to control@bugs.debian.org. (Fri, 29 Jun 2012 02:03:04 GMT) Full text and rfc822 format available.

Removed tag(s) help. Request was from Milan Kupcevic <milan@physics.harvard.edu> to control@bugs.debian.org. (Fri, 29 Jun 2012 02:03:05 GMT) Full text and rfc822 format available.

Added tag(s) sid, wheezy, d-i, and pending. Request was from Milan Kupcevic <milan@physics.harvard.edu> to control@bugs.debian.org. (Fri, 29 Jun 2012 02:03:05 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'normal' Request was from Milan Kupcevic <milan@physics.harvard.edu> to control@bugs.debian.org. (Fri, 29 Jun 2012 02:03:06 GMT) Full text and rfc822 format available.

Owner recorded as Milan Kupcevic <milan@physics.harvard.edu>. Request was from Milan Kupcevic <milan@physics.harvard.edu> to control@bugs.debian.org. (Fri, 29 Jun 2012 02:03:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#549681; Package mkvmlinuz. (Sun, 01 Jul 2012 03:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Milan Kupcevic <milan@physics.harvard.edu>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 01 Jul 2012 03:06:03 GMT) Full text and rfc822 format available.

Message #65 received at 549681@bugs.debian.org (full text, mbox):

From: Milan Kupcevic <milan@physics.harvard.edu>
To: 549681@bugs.debian.org
Cc: maximilian attems <max@stro.at>, Simon Richter <sjr@debian.org>
Subject: bug#549681: mkvmlinuz: use xz to compress vmlinuz-boxed initrd
Date: Sat, 30 Jun 2012 23:01:47 -0400
[Message part 1 (text/plain, inline)]
> some OpenFirmware implementations, such as the one in the PegasosII,
> have a 12 MB size limit on kernel images, and no initrd loading
> capability. The latter is worked around by merging the initrd into the
> image with the "mkvmlinuz" tool, however the generated images are
> unbootable if they exceed 12 MB.

The attached patch brings vmlinuz from about 13MB to about 9.5MB, which
is well under the 12MB limit. Downside is that xz compressing is
noticeably slower than currently used gzip, but decompressing speed
difference is not noticeable.

I've tested it on Pegasos II machine, it boots really fast. Updated
mkvmlinuz package is waiting on mentors.debian.net for a willing sponsor
for upload.

Milan
[mkvmlinuz-reduce-vmlinuz-size.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, Milan Kupcevic <milan@physics.harvard.edu>:
Bug#549681; Package mkvmlinuz. (Sun, 01 Jul 2012 11:16:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Touko Korpela <touko.korpela@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, Milan Kupcevic <milan@physics.harvard.edu>. (Sun, 01 Jul 2012 11:16:20 GMT) Full text and rfc822 format available.

Message #70 received at 549681@bugs.debian.org (full text, mbox):

From: Touko Korpela <touko.korpela@iki.fi>
To: Milan Kupcevic <milan@physics.harvard.edu>, 549681@bugs.debian.org
Cc: maximilian attems <max@stro.at>, Simon Richter <sjr@debian.org>
Subject: Re: Bug#549681: bug#549681: mkvmlinuz: use xz to compress vmlinuz-boxed initrd
Date: Sun, 1 Jul 2012 14:05:05 +0300
On Sat, Jun 30, 2012 at 11:01:47PM -0400, Milan Kupcevic wrote:
> The attached patch brings vmlinuz from about 13MB to about 9.5MB, which
> is well under the 12MB limit. Downside is that xz compressing is
> noticeably slower than currently used gzip, but decompressing speed
> difference is not noticeable.
> 
> I've tested it on Pegasos II machine, it boots really fast. Updated
> mkvmlinuz package is waiting on mentors.debian.net for a willing sponsor
> for upload.
> ...
> +if test "$post_2_6_38"; then
> +  XZ="xz --check=crc32 -8"
> +else
> +  XZ=false
> +fi

From xz(1) manual page (you can ignore DecMem):
                     Preset   DictSize   CompCPU   CompMem   DecMem
                       -0     256 KiB       0        3 MiB    1 MiB
                       -1       1 MiB       1        9 MiB    2 MiB
                       -2       2 MiB       2       17 MiB    3 MiB
                       -3       4 MiB       3       32 MiB    5 MiB
                       -4       4 MiB       4       48 MiB    5 MiB
                       -5       8 MiB       5       94 MiB    9 MiB
                       -6       8 MiB       6       94 MiB    9 MiB
                       -7      16 MiB       6      186 MiB   17 MiB
                       -8      32 MiB       6      370 MiB   33 MiB
                       -9      64 MiB       6      674 MiB   65 MiB

Better to use default setting "-6" that has lower memory requirement.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#549681; Package mkvmlinuz. (Sun, 01 Jul 2012 15:06:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Milan Kupcevic <milan@physics.harvard.edu>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 01 Jul 2012 15:06:13 GMT) Full text and rfc822 format available.

Message #75 received at 549681@bugs.debian.org (full text, mbox):

From: Milan Kupcevic <milan@physics.harvard.edu>
To: Touko Korpela <touko.korpela@iki.fi>, 549681@bugs.debian.org
Cc: maximilian attems <max@stro.at>, Simon Richter <sjr@debian.org>
Subject: Re: Bug#549681: mkvmlinuz: use xz to compress vmlinuz-boxed initrd
Date: Sun, 01 Jul 2012 11:03:02 -0400
[Message part 1 (text/plain, inline)]
On 07/01/2012 07:05 AM, Touko Korpela wrote:
>> ...
>> +if test "$post_2_6_38"; then
>> +  XZ="xz --check=crc32 -8"
>> +else
>> +  XZ=false
>> +fi
> 
> From xz(1) manual page (you can ignore DecMem):
>                      Preset   DictSize   CompCPU   CompMem   DecMem
>                        -0     256 KiB       0        3 MiB    1 MiB
>                        -1       1 MiB       1        9 MiB    2 MiB
>                        -2       2 MiB       2       17 MiB    3 MiB
>                        -3       4 MiB       3       32 MiB    5 MiB
>                        -4       4 MiB       4       48 MiB    5 MiB
>                        -5       8 MiB       5       94 MiB    9 MiB
>                        -6       8 MiB       6       94 MiB    9 MiB
>                        -7      16 MiB       6      186 MiB   17 MiB
>                        -8      32 MiB       6      370 MiB   33 MiB
>                        -9      64 MiB       6      674 MiB   65 MiB
> 
> Better to use default setting "-6" that has lower memory requirement.
> 

Here is timing for re-compression from gzip to xz on Pegasos II with
Freescale 7447 1GhZ processor and 1Gb RAM:

set   time         compressed size
-9    1m43.962s    9.5MB
-8    1m44.824s    9.5MB
-6    1m35.097s    9.6MB
-3    1m10.080s    10.6MB
-2    0m45.609s    10.7MB
-0    0m19.286s    11.1MB

I've originally decided to go with -8, mainly because the same preset is
used in mkinitramfs form initramfs-tools package. It may be worth
hearing arguments about the timing given that all presets currently
produce vmlinuz smaller than the 12MB limit, but the compression time is
very different.

Milan

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, Milan Kupcevic <milan@physics.harvard.edu>:
Bug#549681; Package mkvmlinuz. (Sun, 01 Jul 2012 16:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, Milan Kupcevic <milan@physics.harvard.edu>. (Sun, 01 Jul 2012 16:33:06 GMT) Full text and rfc822 format available.

Message #80 received at 549681@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Milan Kupcevic <milan@physics.harvard.edu>
Cc: 549681@bugs.debian.org, maximilian attems <max@stro.at>, Simon Richter <sjr@debian.org>
Subject: Re: bug#549681: mkvmlinuz: use xz to compress vmlinuz-boxed initrd
Date: Sun, 01 Jul 2012 17:31:14 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2012-06-30 at 23:01 -0400, Milan Kupcevic wrote:
[...]
> --- mkvmlinuz   (revision 19233)
> +++ mkvmlinuz   (working copy)
[...]
> @@ -158,6 +153,12 @@
>    post_2_6_19=
>  fi
>  
> +if dpkg --compare-versions $release ge 2.6.38 && test "$arch" != "prep" ; then
> +  post_2_6_38=Yes
> +else
> +  post_2_6_38=
> +fi
> +
[...]

We should actually check for CONFIG_RD_XZ=y in /boot/config-$release, to
allow for custom kernels that don't enable it.  And of course the
variable name should be something like is_xz_supported.

Ben.

-- 
Ben Hutchings
If you seem to know what you are doing, you'll be given more to do.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#549681; Package mkvmlinuz. (Sun, 01 Jul 2012 19:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Milan Kupcevic <milan@physics.harvard.edu>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 01 Jul 2012 19:18:03 GMT) Full text and rfc822 format available.

Message #85 received at 549681@bugs.debian.org (full text, mbox):

From: Milan Kupcevic <milan@physics.harvard.edu>
To: Ben Hutchings <ben@decadent.org.uk>, 549681@bugs.debian.org
Cc: maximilian attems <max@stro.at>, Simon Richter <sjr@debian.org>
Subject: Re: Bug#549681: bug#549681: mkvmlinuz: use xz to compress vmlinuz-boxed initrd
Date: Sun, 01 Jul 2012 15:13:57 -0400
[Message part 1 (text/plain, inline)]
On 07/01/2012 12:31 PM, Ben Hutchings wrote:
> On Sat, 2012-06-30 at 23:01 -0400, Milan Kupcevic wrote:
> [...]
>> --- mkvmlinuz   (revision 19233)
>> +++ mkvmlinuz   (working copy)
> [...]
>> @@ -158,6 +153,12 @@
>>    post_2_6_19=
>>  fi
>>  
>> +if dpkg --compare-versions $release ge 2.6.38 && test "$arch" != "prep" ; then
>> +  post_2_6_38=Yes
>> +else
>> +  post_2_6_38=
>> +fi
>> +
> [...]
> 
> We should actually check for CONFIG_RD_XZ=y in /boot/config-$release, to
> allow for custom kernels that don't enable it.  And of course the
> variable name should be something like is_xz_supported.
> 
> Ben.
> 

Updated patch is attached.

Milan
[updated-reduce-vmlinuz.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, Milan Kupcevic <milan@physics.harvard.edu>:
Bug#549681; Package mkvmlinuz. (Sun, 01 Jul 2012 20:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@stappers.nl>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, Milan Kupcevic <milan@physics.harvard.edu>. (Sun, 01 Jul 2012 20:27:03 GMT) Full text and rfc822 format available.

Message #90 received at 549681@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@stappers.nl>
To: 549681@bugs.debian.org
Cc: Milan Kupcevic <milan@physics.harvard.edu>
Subject: Re: Bug#549681: bug#549681: mkvmlinuz: use xz to compress vmlinuz-boxed initrd
Date: Sun, 1 Jul 2012 22:13:47 +0200
[Message part 1 (text/plain, inline)]
On Sun, Jul 01, 2012 at 03:13:57PM -0400, Milan Kupcevic wrote:

> +if grep -q CONFIG_RD_XZ=y /boot/config-$release ; then
> +  is_xz_supported=Yes
> +fi
>  

Have a look at this test statement

> +if test "$is_xz_supported"; then
> +  XZ="xz --check=crc32 -8"
> +else
> +  XZ=false
> +fi

And have a look at these test statements:
> +    test -z "$verbose" || echo === Creating compressed initrd image
> -    	if test "`od -A n -c -N 2 $initrd`" = " 037 213"; then 
> +	if test "`xxd -p -l2 $initrd`" = "1f8b"; then
> +	    test -z "$verbose" || echo === $initrd is already gzip compressed
> +	    if test -n "$is_xz_supported" && test "$arch" != "prep"; then
> +	      test -z "$verbose" || echo === recompressing to xz
> +	elif test "`xxd -p -l6 $initrd`" = "fd377a585a00"; then 
> +	    test -z "$verbose" || echo === $initrd is already xz compressed
> +	    test -z "$verbose" || echo === assuming $initrd was not compressed

Notices that those tests are either

    test  string = otherstring

or are

    test --option "$variable"


They here again a "test --option $variable"
and a strange looking single "test $variable"

> 
> @@ -317,7 +334,11 @@
>    WRAPPER=$objdir/wrapper
>    vmlinuz=$work/vmlinuz.$arch
>    if test -n "$initrd"; then
> -    INITRD="-i $work/initrd.gz"
> +    if test "$is_xz_supported"; then
> +      INITRD="-i $work/initrd.xz"
> +    else
> +      INITRD="-i $work/initrd.gz"
> +    fi
>    fi
>    $WRAPPER -c -o $vmlinuz -p $arch $INITRD -D $objdir -W $work $kernel
>  else 


Please use the more readable

    test -n "$is_xz_supported"



Groeten
Geert Stappers
-- 
> And is there a policy on top-posting vs. bottom-posting?
Yes.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#549681; Package mkvmlinuz. (Mon, 02 Jul 2012 01:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Milan Kupcevic <milan@physics.harvard.edu>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 02 Jul 2012 01:48:03 GMT) Full text and rfc822 format available.

Message #95 received at 549681@bugs.debian.org (full text, mbox):

From: Milan Kupcevic <milan@physics.harvard.edu>
To: Geert Stappers <stappers@stappers.nl>, 549681@bugs.debian.org
Subject: Re: Bug#549681: bug#549681: mkvmlinuz: use xz to compress vmlinuz-boxed initrd
Date: Sun, 01 Jul 2012 21:43:49 -0400
[Message part 1 (text/plain, inline)]
On 07/01/2012 04:13 PM, Geert Stappers wrote:
> 
> 
> Please use the more readable
> 
>     test -n "$is_xz_supported"
> 

Have a look at this:


test "$string"
test -n "$string"
[ "$string" ]
[ -n "$string" ]


They are just four different expressions of exactly the same thing. It
is hard to please everybody's taste.

M

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, Milan Kupcevic <milan@physics.harvard.edu>:
Bug#549681; Package mkvmlinuz. (Mon, 02 Jul 2012 11:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Touko Korpela <touko.korpela@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, Milan Kupcevic <milan@physics.harvard.edu>. (Mon, 02 Jul 2012 11:09:06 GMT) Full text and rfc822 format available.

Message #100 received at 549681@bugs.debian.org (full text, mbox):

From: Touko Korpela <touko.korpela@iki.fi>
To: Milan Kupcevic <milan@physics.harvard.edu>, 549681@bugs.debian.org
Cc: Touko Korpela <touko.korpela@iki.fi>, maximilian attems <max@stro.at>, Simon Richter <sjr@debian.org>
Subject: Re: Bug#549681: mkvmlinuz: use xz to compress vmlinuz-boxed initrd
Date: Mon, 2 Jul 2012 14:07:28 +0300
On Sun, Jul 01, 2012 at 11:03:02AM -0400, Milan Kupcevic wrote:
> On 07/01/2012 07:05 AM, Touko Korpela wrote:
> >> ...
> >> +if test "$post_2_6_38"; then
> >> +  XZ="xz --check=crc32 -8"
> >> +else
> >> +  XZ=false
> >> +fi
> > 
> > From xz(1) manual page (you can ignore DecMem):
> >                      Preset   DictSize   CompCPU   CompMem   DecMem
> >                        -0     256 KiB       0        3 MiB    1 MiB
> >                        -1       1 MiB       1        9 MiB    2 MiB
> >                        -2       2 MiB       2       17 MiB    3 MiB
> >                        -3       4 MiB       3       32 MiB    5 MiB
> >                        -4       4 MiB       4       48 MiB    5 MiB
> >                        -5       8 MiB       5       94 MiB    9 MiB
> >                        -6       8 MiB       6       94 MiB    9 MiB
> >                        -7      16 MiB       6      186 MiB   17 MiB
> >                        -8      32 MiB       6      370 MiB   33 MiB
> >                        -9      64 MiB       6      674 MiB   65 MiB
> > 
> > Better to use default setting "-6" that has lower memory requirement.
> > 
> 
> Here is timing for re-compression from gzip to xz on Pegasos II with
> Freescale 7447 1GhZ processor and 1Gb RAM:

Use of -8 option isn't a good thing for systems having only 512 Mib or less
memory. This operation shouldn't force to use slow swap space or OOM.

> 
> set   time         compressed size
> -9    1m43.962s    9.5MB
> -8    1m44.824s    9.5MB
> -6    1m35.097s    9.6MB
> -3    1m10.080s    10.6MB
> -2    0m45.609s    10.7MB
> -0    0m19.286s    11.1MB
> 
> I've originally decided to go with -8, mainly because the same preset is
> used in mkinitramfs form initramfs-tools package. It may be worth
> hearing arguments about the timing given that all presets currently
> produce vmlinuz smaller than the 12MB limit, but the compression time is
> very different.

Your size numbers show that -8 produces only marginally smaller images.
If mkinitramfs (initramfs-tools) uses -8 for xz compression, it should be
changed too.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#549681; Package mkvmlinuz. (Tue, 03 Jul 2012 01:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Milan Kupcevic <milan@physics.harvard.edu>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 03 Jul 2012 01:18:02 GMT) Full text and rfc822 format available.

Message #105 received at 549681@bugs.debian.org (full text, mbox):

From: Milan Kupcevic <milan@physics.harvard.edu>
To: Touko Korpela <touko.korpela@iki.fi>, 549681@bugs.debian.org
Cc: maximilian attems <max@stro.at>, Simon Richter <sjr@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#549681: mkvmlinuz: use xz to compress vmlinuz-boxed initrd
Date: Mon, 02 Jul 2012 21:13:49 -0400
[Message part 1 (text/plain, inline)]
On 07/02/2012 07:07 AM, Touko Korpela wrote:
> On Sun, Jul 01, 2012 at 11:03:02AM -0400, Milan Kupcevic wrote:
>> On 07/01/2012 07:05 AM, Touko Korpela wrote:
>>>> ...
>>>> +if test "$post_2_6_38"; then
>>>> +  XZ="xz --check=crc32 -8"
>>>> +else
>>>> +  XZ=false
>>>> +fi
>>>
>>> From xz(1) manual page (you can ignore DecMem):
>>>                      Preset   DictSize   CompCPU   CompMem   DecMem
>>>                        -0     256 KiB       0        3 MiB    1 MiB
>>>                        -1       1 MiB       1        9 MiB    2 MiB
>>>                        -2       2 MiB       2       17 MiB    3 MiB
>>>                        -3       4 MiB       3       32 MiB    5 MiB
>>>                        -4       4 MiB       4       48 MiB    5 MiB
>>>                        -5       8 MiB       5       94 MiB    9 MiB
>>>                        -6       8 MiB       6       94 MiB    9 MiB
>>>                        -7      16 MiB       6      186 MiB   17 MiB
>>>                        -8      32 MiB       6      370 MiB   33 MiB
>>>                        -9      64 MiB       6      674 MiB   65 MiB
>>>
>>> Better to use default setting "-6" that has lower memory requirement.
>>>
>>
>> Here is timing for re-compression from gzip to xz on Pegasos II with
>> Freescale 7447 1GhZ processor and 1Gb RAM:
> 
> Use of -8 option isn't a good thing for systems having only 512 Mib or less
> memory. This operation shouldn't force to use slow swap space or OOM.
> 
>>
>> set   time         compressed size
>> -9    1m43.962s    9.5MB
>> -8    1m44.824s    9.5MB
>> -6    1m35.097s    9.6MB
>> -3    1m10.080s    10.6MB
>> -2    0m45.609s    10.7MB
>> -0    0m19.286s    11.1MB
>>
>> I've originally decided to go with -8, mainly because the same preset is
>> used in mkinitramfs form initramfs-tools package. It may be worth
>> hearing arguments about the timing given that all presets currently
>> produce vmlinuz smaller than the 12MB limit, but the compression time is
>> very different.
> 
> Your size numbers show that -8 produces only marginally smaller images.
> If mkinitramfs (initramfs-tools) uses -8 for xz compression, it should be
> changed too.
> 

You are right. I just did two more runs with -4 and -5:

set   time         compressed size
-5    1m28.009s    9.6MB
-4    1m12.628s    9.8MB

Compression time goes up while compression gain gets insignificant with
presets larger than -4.

It is probably best to go with -4. It is time efficient and needs only
48 MiB for compression. Installer will be able to finish on EFIKA 5200B
boards with 128MB built-in memory.

Milan




[signature.asc (application/pgp-signature, attachment)]

Reply sent to Milan Kupcevic <milan@physics.harvard.edu>:
You have taken responsibility. (Sat, 07 Jul 2012 12:51:06 GMT) Full text and rfc822 format available.

Notification sent to Simon Richter <sjr@debian.org>:
Bug acknowledged by developer. (Sat, 07 Jul 2012 12:51:07 GMT) Full text and rfc822 format available.

Message #110 received at 549681-close@bugs.debian.org (full text, mbox):

From: Milan Kupcevic <milan@physics.harvard.edu>
To: 549681-close@bugs.debian.org
Subject: Bug#549681: fixed in mkvmlinuz 36
Date: Sat, 07 Jul 2012 12:47:23 +0000
Source: mkvmlinuz
Source-Version: 36

We believe that the bug you reported is fixed in the latest version of
mkvmlinuz, which is due to be installed in the Debian FTP archive:

mkvmlinuz_36.dsc
  to main/m/mkvmlinuz/mkvmlinuz_36.dsc
mkvmlinuz_36.tar.gz
  to main/m/mkvmlinuz/mkvmlinuz_36.tar.gz
mkvmlinuz_36_powerpc.deb
  to main/m/mkvmlinuz/mkvmlinuz_36_powerpc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 549681@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Milan Kupcevic <milan@physics.harvard.edu> (supplier of updated mkvmlinuz package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 03 Jul 2012 17:55:04 -0400
Source: mkvmlinuz
Binary: mkvmlinuz
Architecture: source powerpc
Version: 36
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Milan Kupcevic <milan@physics.harvard.edu>
Description: 
 mkvmlinuz  - create a kernel to boot a PowerPC machine from Open Firmware
Closes: 509007 549681 600132 658443 677760
Changes: 
 mkvmlinuz (36) unstable; urgency=low
 .
   * New maintainer. (Closes: #677760)
   * Remove Sven Luther and Aurélien GÉRÔME from Uploaders, many thanks
     for your contributions.
   * Add myself to Uploaders.
   * Conform to Debian Policy standards version 3.9.3
   * Switch to dpkg-source 3.0 (native) format.
   * Add build-arch and buld-indep targets to debian/rules.
   * Bump debhelper compatibility to 8, use dh_prep.
   * Add ${misc:Depends} to Depends field.
   * Revise debian/copyright.
   * Switch package section from devel to utils.
   * Use hardening compiler flags
   * Compress initrd with xz to significantly reduce
     vmlinuz size. (Closes: #549681)
   * Add -fno-stack-protector, thanks to Colin Watson. (Closes: #509007)
   * Debconf translations:
     - Add Danish, thanks to Joe Hansen. (Closes: #600132)
     - Add Indonesian, thanks to Mahyuddin Susanto. (Closes: #658443)
   * Kill lintian warnings.
     - Spelling error in mkvmlinuz manpage
     - Fix lintian overrides
Checksums-Sha1: 
 599b5d5bb239f4d769bcff009d12ffd5032e65a2 1699 mkvmlinuz_36.dsc
 478a682b19c4408b3d04f5bda14bbb97a1d88e8b 61457 mkvmlinuz_36.tar.gz
 eb8f36d0b5871f42451314ab5d2b65fa75d22483 74108 mkvmlinuz_36_powerpc.deb
Checksums-Sha256: 
 fc92b1a49ba8fe71cece1fb64b6ebb1a23246629d7ab1bbe22501b8911d131c2 1699 mkvmlinuz_36.dsc
 11be02f1f4bc19c0190aa705244663c7c61318660fb7c5f998f6d43885278734 61457 mkvmlinuz_36.tar.gz
 30e6cfc7b727796fb90231b29f97c6406319dc9f3a283d98f57d91ed2645a09e 74108 mkvmlinuz_36_powerpc.deb
Files: 
 01acab9d6dafefd5ca0a5c582c78952a 1699 utils optional mkvmlinuz_36.dsc
 0e034b891ed88cbc76ce4c2467aeff2d 61457 utils optional mkvmlinuz_36.tar.gz
 d57c91741aacb2a0a55e8978f5d8130b 74108 utils optional mkvmlinuz_36_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Signed by Ana Guerrero

iQIcBAEBCAAGBQJP+C8YAAoJELNGT4lqoVlI3GYP+wY19M1/749lNGZ3H7LXamkI
xoneTONoLrF7934zzbL1qWtgSKfMpFhy+ARoulzlm/cSh0WWAe8tBtyUGHSsu+or
KzNMHOYtZ+r4P6N+yxcfNAFd5t/jtInoPqVdtknJLnpkf6IJikW9LExcX/NmffUA
RlpNuLXqwWHRp96z1P72ItfJbDNwGLHXwLkq2QlY88qHcCO2F9ubqqKgKuZz7miW
j/xnMcPS/OMEjWnxb7MFH70Wu3NEGi0O0yrhvtTE9O0T3YYD/PhcMjYfmJzUi/Od
YAXpzYgfqTI83xm8FC29S0Dv9sqABaUd0P9lqB+ZPkYUskjyh4TkX7GEjd3W8Q/D
fYZ9isymYH7Ktnywrl2LQlOOdvASIwByZyHzFV+Lt5C9yMGGFRQmqaUozWD/SHAi
Z5RJ5wkd5pX2FeKdsPgJNjCGNDQrubhoOp0v1oGjMmNh5HbY2sN95nzLDPv0cnYd
3KrfYRYi1UNIJQd8BelTZJoeB0ofEFC0ZdzwJ3cBCE8xjo0Zb4vtCeah3nrxwRgj
8pNPf4WhfqckHYHtukRL3sa6t2FwV+tdIT4LKzexsTfHlZjwx3yQ1JZqZ0vetSTt
eWSImAaQsd5cyfMZVSByilUd5CB00RHFwQ/JtZ4LuJ0i/p6Avy4d55BV2NMEFqX4
J6VEgTO23zfdInnlq6LA
=HKjG
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 22 Aug 2012 07:39:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:13:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.